"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Endpoint {
    constructor(path) {
        this._name = path;
    }
    get name() {
        return this._name;
    }
    get path() {
        console.warn(`'sender.path' is now deprecated, since it no longer supports iframes. Use 'sender.name' instead`);
        return this._name;
    }
    isInternal() {
        return this.isInternalImpl(false);
    }
    isReallyInternal() {
        console.warn(`'sender.isReallyInternal()' is now deprecated, since it no longer supports iframes. Use 'sender.isInternal()' instead`);
        return this.isInternalImpl(true);
    }
    toString() {
        return this._name;
    }
    isInternalImpl(strict) {
        if (!strict && this._name.indexOf('devtools') === 0) {
            return true;
        }
        // 'content-script:frame#2' || 'window@712' => false
        return !(/window|frame/.test(this._name));
    }
}
exports.Endpoint = Endpoint;
//# sourceMappingURL=Endpoint.js.map